imports:
    - { resource: config.yml }
    - { resource: security.yml }

# logger
monolog:
    channels: ["dep", "access"]
    handlers:
        dep:
            type: service
            level: warning
            channels: ["dep"]
            id: lifestyle_monolog_db
        main:
            type:         fingers_crossed
            action_level: error
            handler:      nested
            excluded_404s:
                # regex: exclude all 404 errors from the logs
                - ^/
        nested:
            type:  stream
            path:  "%kernel.logs_dir%/%kernel.environment%.log"
            level: debug
            formatter: monolog.formatter.track_id
        dblog:
            type: service
            level: error
            channels: ["app", "access"]
            id: lifestyle_monolog_db
            excluded_404s:
                # regex: exclude all 404 errors from the logs
                - ^/
